Bug 9018 - PPP Error
PPP Error
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
6.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-01-31 12:36 EST by Don Crider
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-02-07 16:29:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Don Crider 2000-01-31 12:36:05 EST
I have Upgraded from 6.0 to 6.1, It seems the transition of the PPP is not
what it should be. PPP will fail to activate at boot, will connect in the
background at boot of Gnome GUI screen, However, once the ISP idles the
the system drops the connection and system will NOT reconnect auto. It
seems at boot if the initial PPP fails the auto ifup also will shutdown.

Though I am connected, if I enter netcfg the status shown in the interface
is Inactive, if flagged Active then I loss all PPP access! ??

Now If I select the PPP option not to be active at boot, then go into
netcfg and select active the system then performs normally.

I need However to have a unattended watch due to the power outages we
experience, I need a fix to rid me of this problem. I have
updated "Up2date" all security and updates. no problems installing.
Still no Fix in my problem.

Can you get me a fix of a script that I could drop in and how to add to
the boot area as to auto run the interface in netcfg to make ppp active??

                          Thanks :) Don
Comment 1 Nalin Dahyabhai 2000-02-05 16:10:59 EST
Could you check to see that both ONBOOT and PERSIST are set to yes in
/etc/sysconfig/network-scripts/ifcfg-ppp0?  If not, please send in the
contents of that file.  (with any sensitive information like passwords
removed and replace with dummy data, of course).
Comment 2 Nalin Dahyabhai 2000-02-07 16:29:59 EST
[per private email, ONBOOT and PERSIST are on]

The best way to try and start the interface up last is probably to set ONBOOT to
no, and add the command "/sbin/ifup ppp0" to the /etc/rc.d/rc.local script,
which is executed last during the bootup process.

If you're using wu-ftpd 2.0.9, I strongly suggest upgrading to the 2.6.0
security update, which fixes a security vulnerability.  This wouldn't affect
your ability to access your ISP's FTP server, however.  Most likely that is
an issue with the way they have their FTP server configured.  If you can get
in using a PC at your home but not from elsewhere, then it appears that their
server is configured to only allow connections over their clients' PPP
connections.

You may have better luck if you empty (or comment out) the IPADDR and REMIP
variables in ifcfg-ppp0.  If your ISP is assigning you the address given in
IPADDR, it may well be that while it works correctly as a PPP link, an address
like 192.163.97.1 may not interact well with their network servers.

Note You need to log in before you can comment on or make changes to this bug.